Subject: bug#6890: closed (Re: bug#6890: 23.1; makefile-fill-paragraph doesn't leave space for backslashes)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 21 Aug 2010 13:09:02 +0000

Your bug report

#6890: 23.1; makefile-fill-paragraph doesn't leave space for backslashes

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
6890: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=6890
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#6890: 23.1; makefile-fill-paragraph doesn't leave space for backslashes
From: Stefan Monnier <[email-masked]>
To: Kirk Kelsey <[email-masked]>
Date: Sat, 21 Aug 2010 11:21:37 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> Using makefile-fill-paragraph on text in which some lines fit precisely
> within
> the fill-column will fill past the fill-column. The problem stems from the
> direct use of fill-paragraph-function followed by makefile-backslash-region,
> which inserts more text on each line. I think this can be solved by
> decrementing fill-column before invoking fill-paragraph-function, and I've
> included a patch to that effect.

Thank you.  I liked your patch so much that I've installed it twice
(I've found this code at 2 places in the file).

        Stefan

Subject: 23.1; makefile-fill-paragraph doesn't leave space for backslashes
From: Kirk Kelsey <[email-masked]>
To: [email-masked]
Date: Fri, 20 Aug 2010 17:26:28 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Using makefile-fill-paragraph on text in which some lines fit precisely
within
the fill-column will fill past the fill-column. The problem stems from the
direct use of fill-paragraph-function followed by makefile-backslash-region,
which inserts more text on each line. I think this can be solved by
decrementing fill-column before invoking fill-paragraph-function, and I've
included a patch to that effect.

Thanks,
Kirk

--- make-mode.el 2010-08-20 16:51:46.253395990 -0400
+++ make-mode-patch.el 2010-08-20 16:53:08.985392193 -0400
@@ -1323,7 +1323,9 @@
  (save-restriction
   (narrow-to-region beginning end)
   (makefile-backslash-region (point-min) (point-max) t)
-  (let ((fill-paragraph-function nil))
+  (let ((fill-paragraph-function nil)
+                ;; adjust fill-column to allow space for the backslash
+                (fill-column (- fill-column 1)))
     (fill-paragraph nil))
   (makefile-backslash-region (point-min) (point-max) nil)
   (goto-char (point-max))